Bug 65551 - wrong Arabic display under kdict
Summary: wrong Arabic display under kdict
Status: RESOLVED WORKSFORME
Alias: None
Product: kdict
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Christian Gebauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-05 19:15 UTC by Ahmad Al-Rasheedan
Modified: 2005-05-11 00:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ahmad Al-Rasheedan 2003-10-05 19:15:58 UTC
Version:           0.5.6 (using KDE 3.1.2)
Installed from:    compiled sources
Compiler:          gcc version 3.3 (Debian)
OS:          Linux (i686) release 2.6.0-test4

Use dict.arabeyes.org as the source of a dictd server and look
up the word dad. It returns twisted Arabic shapping.
Comment 1 Klaus Niederkrüger 2003-11-20 01:01:50 UTC
I had maybe a similar problem in kvoctrain, which was fixed after upgrading from qt 3.2.0 to qt 3.2.3. Maybe you could try this?

On the Trolltech homepage it says:

Changes in qt 3.2.2
QFont
        Load the correct font for characters that have the 'Unicode'
        script assigned to them (e.g. the em-dash).
        Fix exact match for raw mode fonts.
        Fix conversion from Unicode to GB2312 to make Chinese appear
        correctly again when using xlfd fonts.

Good luck.

Klaus
Comment 2 Mathieu Jobin 2004-06-08 18:34:23 UTC
did upgrading Qt fix the problem ?
is it fix ? closing ?

...


Comment 3 Munzir Taha 2004-06-27 17:52:29 UTC
I am using Mandrake 10 with Qt: 3.2.3 and this problem still there
Comment 4 Henrique Pinto 2005-05-11 00:33:08 UTC
Does it still happen in KDE 3.4? Anyway, it seems to be a bug in Qt, not in KDict, so I'm closing it for now.